=== debian/changelog ===
camlzip (1.05-3) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Mon, 02 Dec 2013 22:43:58 +0100

camlzip (1.05-2) experimental; urgency=low

  * Compile with OCaml >= 4

 -- Stéphane Glondu <glondu@debian.org>  Thu, 25 Jul 2013 21:36:25 +0200

camlzip (1.05-1) unstable; urgency=low

  [ Ralf Treinen ]
  * New upstream version
  * use upstream's META file instead our own
  * debian/copyright: machine-readable format 1.0. Fix year, and
    copyright holder.
  * source format 3.0 (quilt):
    - add debian/source/format
    - drop build-dependency on quilt
    - drop quilt addon from dh invocation
  * Standards-Version 3.9.4 (no change)
  * Update debian/watch (ocamlforge)
  * Fix typo in long description of libzip-ocaml-dev.
  * Remove Sven Luther from Uploaders (closes:#677754)

  [ Stéphane Glondu ]
  * Fix generation of documentation by dh_ocamldoc

  [ Stefano Zacchiroli ]
  * remove myself from Uploaders

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

 -- Ralf Treinen <treinen@debian.org>  Tue, 14 May 2013 16:05:24 +0200

camlzip (1.04-6) unstable; urgency=low

  * Switch patches to quilt
  * debian/rules, debian/control:
    - switch to dh+overrides and dh-ocaml 0.9
    - update versioned dependencies to debhelper, quilt, dh-ocaml and
      ocaml

 -- Stéphane Glondu <glondu@debian.org>  Tue, 29 Sep 2009 10:45:25 +0200

camlzip (1.04-5) unstable; urgency=low

  * Fix version field in META file
  * Add README.source
  * debian/control:
    - update Standards-Version to 3.8.3
    - update Conflicts/Replaces for libzip-ocaml
    - update my e-mail address and remove DMUA

 -- Stéphane Glondu <glondu@debian.org>  Tue, 08 Sep 2009 23:01:37 +0200

camlzip (1.04-4) unstable; urgency=low

  * Install zip.a along with zip.cmxa (Closes: #524017)

 -- Stephane Glondu <steph@glondu.net>  Tue, 14 Apr 2009 10:59:42 +0200

camlzip (1.04-3) unstable; urgency=low

  * Add myself to Uploaders and DMUA
  * Move to new archive section ocaml
  * Discriminate binary packages in short descriptions
  * Move .cma and META to libzip-ocaml, build .cmxs
  * Add Homepage field to debian/control
  * Bump Standards-Version to 3.8.1

 -- Stephane Glondu <steph@glondu.net>  Sun, 12 Apr 2009 00:09:00 +0200

camlzip (1.04-2) unstable; urgency=low

  [ Stephane Glondu ]
  * Switch packaging to git

  [ Samuel Mimram ]
  * Use dh-ocaml's predefined variables.

 -- Samuel Mimram <smimram@debian.org>  Tue, 24 Feb 2009 17:48:49 +0100

camlzip (1.04-1) experimental; urgency=low

  [ Stefano Zacchiroli ]
  * debian/copyright: mention the usual OCaml linking exception to LGPL

  [ Samuel Mimram ]
  * New upstream release.
  * Build-depend on dh-ocaml.
  * Updated compat to 7.
  * Refreshed uncompress.dpatch.
  * Updated standards version to 3.8.0.
  * Version LGPL reference.

 -- Samuel Mimram <smimram@debian.org>  Tue, 10 Feb 2009 12:35:24 +0100

camlzip (1.03-7) experimental; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Ralf Treinen ]
  * Recompile with ocaml 3.10.2
  * Capitalization error in short package description
  * Standards-Version 3.7.3 (no change)
  * Added myself to Uploaders.

 -- Ralf Treinen <treinen@debian.org>  Mon, 07 Apr 2008 20:31:08 +0200

camlzip (1.03-6) unstable; urgency=low

  * Change distribution to unstable
  * Use ocaml >= 3.10.8 to have the .doc-base.ocamldoc-apiref template

 -- Sylvain Le Gall <gildor@debian.org>  Wed, 05 Sep 2007 13:40:47 +0200

camlzip (1.03-5) experimental; urgency=low

  * Ocamldoc documentation generation (Closes: #334284)
  * Upgrade build-dependency to ocaml 3.10.0

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 04 Sep 2007 00:34:16 +0200

camlzip (1.03-4) experimental; urgency=low

  * Rebuild for ocaml 3.10.0
  * Ignore error in clean target
  * Use binary:Version for versioned dependency
  * Upgrade to debhelper 5

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 14 Jul 2007 02:15:06 +0200

camlzip (1.03-3) unstable; urgency=low

  * Remove produced .so files at clean time, closes: #424150.

 -- Samuel Mimram <smimram@debian.org>  Tue, 15 May 2007 21:58:20 +0200

camlzip (1.03-2) unstable; urgency=low

  * Upload to unstable.

 -- Samuel Mimram <smimram@debian.org>  Wed, 11 Apr 2007 16:52:20 +0200

camlzip (1.03-1) experimental; urgency=low

  * New upstream release.
  * Improved packaging.
  * Updated uncompress.dpatch.
  * We don't need to remove rpaths anymore.
  * Added myself to uploaders.

 -- Samuel Mimram <smimram@debian.org>  Tue,  6 Mar 2007 23:40:20 +0100

camlzip (1.01-17) unstable; urgency=low

  [ Julien Cristau ]
  * Add build-dep on chrpath and delete rpath from the stublib (fixes lintian
    warning).

  [ Stefano Zacchiroli ]
  * Rebuilt against ocaml 3.09.2, bumped deps accordingly.
  * debian/control
    - bumped Standards-Version (no changes needed)
  * debian/*
    - use the more common 'ocamlinit' target in debian/rules to update the
      hard-coded version of the ocaml ABI. Avoids unintented re-generation of
      debian/control during the build

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 19 May 2006 21:06:10 -0500

camlzip (1.01-16) unstable; urgency=low

  [ Sven Luther ]

  * Rebuilt against ocaml 3.09.0.

  [ Stefano Zacchiroli ]

  * Made svn structure svn-buildpackage friendly
  * debian/control
    - bumped standards version
  * debian/changelog
    - removed dh_make boilerplate
  * Added myself as an Uploader

 -- Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>  Sat, 26 Nov 2005 22:25:12 +0100

camlzip (1.01-15) unstable; urgency=medium

  * Rebuild against ocaml 3.08.3.

 -- Sven Luther <luther@debian.org>  Tue, 22 Mar 2005 08:40:56 +0100

camlzip (1.01-14) unstable; urgency=high

  * Rebuilt for ocaml 3.08.2 unix breakage :/ (Closes: #293904)

 -- Sven Luther <luther@debian.org>  Mon, 14 Feb 2005 09:00:40 +0100

camlzip (1.01-13) unstable; urgency=low

  * Rebuilt for ocaml 3.08.


