=== debian/control ===
Source: camlzip
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Samuel Mimram <smimram@debian.org>,
 Ralf Treinen <treinen@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 zlib1g-dev (>> 1.1.4),
 ocaml-nox (>= 4),
 dpkg-dev (>= 1.13.19),
 dh-ocaml (>= 0.9)
Homepage: http://pauillac.inria.fr/~xleroy/software.html#camlzip
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/camlzip.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/camlzip.git

Package: libzip-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Conflicts: libzip-ocaml-dev (<< 1.04-4)
Replaces: libzip-ocaml-dev (<< 1.04-4)
Description: OCaml compression libraries (runtime libraries)
 This Objective Caml library provides easy access to compressed files in ZIP
 and GZIP format, as well as to Java JAR files.  It provides functions
 for reading from and writing to compressed files in these formats.
 .
 This package contains only the shared runtime stub libraries.

Package: libzip-ocaml-dev
Architecture: any
Depends:
 zlib1g-dev (>> 1.1.4),
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Conflicts: camlzip
Replaces: camlzip
Provides: camlzip, ${ocaml:Provides}
Description: OCaml compression libraries (development files)
 This Objective Caml library provides easy access to compressed files in ZIP
 and GZIP format, as well as to Java JAR files.  It provides functions
 for reading from and writing to compressed files in these formats.
 .
 This package contains the development part of the camlzip package.
