=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=134 .*/camlzip-([0-9.]*)\.tar\.gz
