## camlzip 1.06

=== Makefile ===
--- 
+++ 
@@ -4,10 +4,12 @@
 ZLIB_LIB=-lz
 
 # The directory containing the Zlib library (libz.a or libz.so)
-ZLIB_LIBDIR=/usr/local/lib
+ZLIB_LIBDIR=/usr/lib
+# ZLIB_LIBDIR=/usr/local/lib
 
 # The directory containing the Zlib header file (zlib.h)
-ZLIB_INCLUDE=/usr/local/include
+ZLIB_INCLUDE=/usr/include
+# ZLIB_INCLUDE=/usr/local/include
 
 # Where to install the library.  By default: sub-directory 'zip' of
 # OCaml's standard library directory.
@@ -15,8 +17,8 @@
 
 ### End of configuration section
 
-OCAMLC=ocamlc -g
-OCAMLOPT=ocamlopt
+OCAMLC=ocamlc -g -safe-string
+OCAMLOPT=ocamlopt -safe-string
 OCAMLDEP=ocamldep
 OCAMLMKLIB=ocamlmklib
 
@@ -52,7 +54,7 @@
 
 clean:
 	rm -f *.cm*
-	rm -f *.o *.a
+	rm -f *.o *.a *.so
 
 install:
 	mkdir -p $(INSTALLDIR)
