=== debian/changelog ===
camlzip (1.06-2build2) bionic; urgency=high

  * No change rebuild against ocaml 4.05.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 26 Oct 2017 23:54:38 +0100

camlzip (1.06-2build1) artful; urgency=high

  * No change rebuild against ocaml 4.04 transition.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 26 Jun 2017 22:48:11 +0100

camlzip (1.06-2) unstable; urgency=medium

  * debhelper compatibility level 10
  * dh invocation: options after sequence

 -- Ralf Treinen <treinen@debian.org>  Tue, 25 Oct 2016 20:51:31 +0200

camlzip (1.06-1) unstable; urgency=medium

  * New upstream version.
  * Refreshed patches:
    - 0001-Build-system-for-Debian.patch
    - 0002-Use-an-installed-camlzip-for-tests.patch
    - 0003-Add-plain_uncompress.patch
  * Standards-Version 3.9.8 (no change)
  * Updated upstream homepage
  * Updated Vcs-* fields
  * libzip-ocaml: replaced Conflicts with libzip-ocaml-dev (<< 1.04-4)
    by Breaks
  * libzip-ocaml-dev: dropped Conflicts/Replaces/Provides camlzip since
    that binary package disappeared in 2002.
  * Added autopkgtest-style test, using the test provided by upstream

 -- Ralf Treinen <treinen@debian.org>  Sat, 10 Sep 2016 11:43:43 +0200
