=== debian/changelog ===
camlzip (1.07-2) unstable; urgency=medium

  * fix as-installed test: put compilation commands in testscript,
    instead of using upstreams Makefile (closes: #901169)

 -- Ralf Treinen <treinen@debian.org>  Sun, 10 Jun 2018 21:52:05 +0200

camlzip (1.07-1) unstable; urgency=medium

  * New upstream release (closes: #900445)
    - refreshed patch 0003-Add-plain_uncompress.patch
  * updated debian/watch to github
  * updated homepage to github
  * updated Vcs-* fields to salsa
  * Standards-Version 4.1.4:
    - https in d/copyright format header
  * rewrite installation:
    - debian/rules: use install-findlib from upstream's makefile, and move
      manually dll* into stublibs
    - adjusted d/*.install.in accordingly
    - d/control: add build-dependency on ocaml-findlib
    - drop patch 0001-Build-system-for-Debian 
  * d/rules: drop explicit building of zip.{cmxa,cmxs} since it is done
    now by the upstream Makefile
  * debhelper compat level 11
  * Dropped patch 0002-Use-an-installed-camlzip-for-tests as we now have
    as-installed tests for that
  * Bumped version of build-dependency ocaml, following upstream instructions
  * Dropped build-dependency on dpkg-dev since it was constrained >= a version
    from 2006

 -- Ralf Treinen <treinen@debian.org>  Fri, 08 Jun 2018 21:23:26 +0200
