=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: camlzip
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Samuel Mimram <smimram@debian.org>,
  Ralf Treinen <treinen@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  zlib1g-dev (>> 1.1.4),
- ocaml-nox (>= 4),
- dpkg-dev (>= 1.13.19),
+ ocaml-nox (>= 4.02),
+ ocaml-findlib,
  dh-ocaml (>= 0.9)
-Homepage: http://forge.ocamlcore.org/projects/camlzip/
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/camlzip.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/camlzip.git
+Homepage: http://github.com/xavierleroy/camlzip/
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/ocaml-team/camlzip.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/camlzip
 
 Package: libzip-ocaml
 Architecture: any
