=== debian/watch ===
version=4

opts="uversionmangle=s/-rc/~rc/" \
    https://github.com/xavierleroy/camlzip/releases .*/(.*)\.tar\.gz
