=== debian/changelog ===
camlzip (1.08-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure URI in Homepage field.

  [ Ralf Treinen ]
  * New upstream release
  * Build-depend on debian-compat and drop debian/compat file.
  * DH compat level 12 (no change)
  * Standards-Version 4.4.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Wed, 17 Jul 2019 21:02:48 +0200
