=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
  Ralf Treinen <treinen@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (=12),
  zlib1g-dev (>> 1.1.4),
  ocaml-nox (>= 4.02),
  ocaml-findlib,
  dh-ocaml (>= 0.9)
-Homepage: http://github.com/xavierleroy/camlzip/
-Standards-Version: 4.1.4
+Homepage: https://github.com/xavierleroy/camlzip/
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/ocaml-team/camlzip.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/camlzip
