## camlzip 1.09

=== debian/changelog ===
camlzip (1.09-2build1) focal; urgency=medium

  * No change rebuild against new ocaml ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Feb 2020 01:31:06 +0000

camlzip (1.09-2) unstable; urgency=medium

  * patch tests-ocaml4.08: migrate a test to ocaml4.08 (closes: #944280)
  * debian/watch: use dversionmangle to cope with the strange habitude of
    upstream to not separate the parts of a version by a dot.

 -- Ralf Treinen <treinen@debian.org>  Thu, 07 Nov 2019 22:27:13 +0100

camlzip (1.09-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version 4.4.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Fri, 01 Nov 2019 21:58:13 +0100
