=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: camlzip
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Samuel Mimram <smimram@debian.org>,
  Ralf Treinen <treinen@debian.org>,
@@ -13,7 +14,7 @@
  ocaml-findlib,
  dh-ocaml (>= 0.9)
 Homepage: https://github.com/xavierleroy/camlzip/
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/ocaml-team/camlzip.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/camlzip
