=== debian/watch ===
version=4

opts="uversionmangle=s/-rc/~rc/,dversionmangle=s/\.//" \
    https://github.com/xavierleroy/camlzip/releases .*/rel(.*)\.tar\.gz
