=== debian/changelog ===
camlzip (1.10-1) unstable; urgency=medium

  * New upstream release
  * Fix debian/watch
  * Remove Samuel from Uploaders
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Aug 2020 08:49:11 +0200
