=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: camlzip
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Samuel Mimram <smimram@debian.org>,
  Ralf Treinen <treinen@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper-compat (=12),
+ debhelper-compat (= 13),
  zlib1g-dev (>> 1.1.4),
  ocaml-nox (>= 4.02),
  ocaml-findlib,
- dh-ocaml (>= 0.9)
+ dh-ocaml
 Homepage: https://github.com/xavierleroy/camlzip/
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/camlzip.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/camlzip
