=== debian/changelog ===
camlzip (1.11-1) unstable; urgency=medium

  * New upstream release
  * Patch meta-version-1.11: fix version in META file
  * Standards-Version 4.6.0 (no change)
  * Install README.md instead of README
  * Install *.cmt and *.cmti files
  * Add lintian override concerning META.zip which is in fact not a
    zip file
  * Bump build-dependency on ocaml to 4.07, as indicated by upstream
  * Add debian/upstream/metadata

 -- Ralf Treinen <treinen@debian.org>  Mon, 25 Oct 2021 21:07:59 +0200
