=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
 Build-Depends:
  debhelper-compat (= 13),
  zlib1g-dev (>> 1.1.4),
- ocaml-nox (>= 4.02),
+ ocaml-nox (>= 4.07),
  ocaml-findlib,
  dh-ocaml
 Homepage: https://github.com/xavierleroy/camlzip/
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/camlzip.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/camlzip
