=== debian/tests/control ===
Tests: upstream
Depends:  ocaml-nox, libzip-ocaml-dev
