=== debian/watch ===
version=4

opts="uversionmangle=s/-rc/~rc/;s/(..)$/.$1/" \
    https://github.com/xavierleroy/camlzip/releases .*/rel(.*)\.tar\.gz
