## camlzip 1.12

=== debian/changelog ===
camlzip (1.12-2build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2024 09:34:58 +0200

camlzip (1.12-2build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:09:42 +0200

camlzip (1.12-2) unstable; urgency=medium

  * Fix autopkgtest with OCaml 5.2.0

 -- Stéphane Glondu <glondu@debian.org>  Sat, 20 Jul 2024 18:21:57 +0200

camlzip (1.12-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 12 Jul 2024 13:38:18 +0200

camlzip (1.11-3) unstable; urgency=medium

  * Note that patch meta-version-1.11 has been forwarded to upstream
  * Update debian/watch, now using the github API
  * Lintian-override: reduce context so that it does match again

 -- Ralf Treinen <treinen@debian.org>  Thu, 29 Feb 2024 08:13:08 +0100

camlzip (1.11-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Bump Standards-Version to 4.6.2

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on zlib1g-dev (>> 1.1.4).
    + libzip-ocaml: Drop conflict with removed package libzip-ocaml-dev (<<
      1.04-4) in Replaces.
    + libzip-ocaml: Drop conflict with removed package libzip-ocaml-dev (<<
      1.04-4) in Breaks.
    + libzip-ocaml-dev: Drop versioned constraint on zlib1g-dev (>> 1.1.4) in
      Depends.

 -- Stéphane Glondu <glondu@debian.org>  Tue, 08 Aug 2023 09:18:10 +0200
