=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- zlib1g-dev (>> 1.1.4),
- ocaml-nox (>= 4.07),
+ zlib1g-dev,
+ ocaml,
  ocaml-findlib,
  dh-ocaml
 Homepage: https://github.com/xavierleroy/camlzip/
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/camlzip.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/camlzip
@@ -24,8 +24,6 @@
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
-Breaks: libzip-ocaml-dev (<< 1.04-4)
-Replaces: libzip-ocaml-dev (<< 1.04-4)
 Description: OCaml compression libraries (runtime libraries)
  This Objective Caml library provides easy access to compressed files in ZIP
  and GZIP format, as well as to Java JAR files.  It provides functions
@@ -36,7 +34,7 @@
 Package: libzip-ocaml-dev
 Architecture: any
 Depends:
- zlib1g-dev (>> 1.1.4),
+ zlib1g-dev,
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
