=== debian/tests/control ===
Tests: upstream
Depends:  ocaml, libzip-ocaml-dev
